Jump to content
Welcome to our new Citrix community!
  • 0

Citrix wfica 22.7.0.20 coredump


Victor Serbu1709163534

Question

Citrix Workspace app 2207 for Linux sometime disconnects from Windows 10 VDA

I have seen crashdumps similar to this one on Linux Mint 20.1 Ulyssa thinclient when disconnection occurs

# coredumpctl info 2354
           PID: 2354 (wfica)
           UID: 1002 (tc)
           GID: 1002 (tc)
        Signal: 11 (SEGV)
     Timestamp: Mon 2022-07-25 11:21:42 EEST (1 day 1h ago)
  Command Line: /opt/Citrix/ICAClient/wfica -icaroot /opt/Citrix/ICAClient /home/tc/Downloads/Q29udHJvbGxlci40UFNBICRQMzI0 - 2022-07-25T095944.756.ica
    Executable: /opt/Citrix/ICAClient/wfica
 Control Group: /user.slice/user-1002.slice/session-c1.scope
          Unit: session-c1.scope
         Slice: user-1002.slice
       Session: c1
     Owner UID: 1002 (tc)
       Boot ID: 3dfa96a8934b4712aea2b4c2293e677f
    Machine ID: 939972095cf1459c8b22cc608eff85da
      Hostname: tcmint210708
       Storage: /var/lib/systemd/coredump/core.wfica.1002.3dfa96a8934b4712aea2b4c2293e677f.2354.1658737302000000000000.lz4
       Message: Process 2354 (wfica) of user 1002 dumped core.

                Stack trace of thread 2382:
                #0  0x0000555fb0378bec AddCAC (wfica + 0x50bbec)
                #1  0x0000555fb030f02b GA_rop3 (wfica + 0x4a202b)
                #2  0x0000555fb030b4d1 GDC_bitBlt (wfica + 0x49e4d1)
                #3  0x0000555fb035b49a n/a (wfica + 0x4ee49a)
                #4  0x0000555fb0b5124c _ZN3ctx3gfx15CtxGraphSurface26CmdSrcToSrcBitBltNoCtxh264EP4_GDCRK8tagPOINTS6_jjhP11_GFX_REDRAW (wfica + 0xce424c)
                #5  0x0000555fb0b517f7 _ZN3ctx3gfx15CtxGraphSurface17CmdSrcToSrcBitBltERK8_TWPointS4_jjhP11_GFX_REDRAWP23_GFX_VISUALIZATION_TYPE (wfica + 0xce47f7)
                #6  0x0000555fb0b2a3ec _Z17Tw2CmdSrcToSrcBltP15tagTW2_INSTANCEP23TW2_SCR_TO_SCR_BLT_data (wfica + 0xcbd3ec)
                #7  0x0000555fb0b3025c n/a (wfica + 0xcc325c)
                #8  0x0000555fb0b3076b _Z20TwPrepareAndDispatchP15tagTW2_INSTANCEPhtbP12tagTwErrInfo (wfica + 0xcc376b)
                #9  0x0000555fb0b2426c _Z13TwDispatchCmdP3_VDtPht (wfica + 0xcb726c)
                #10 0x0000555fb031482d n/a (wfica + 0x4a782d)
                #11 0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #12 0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2367:
                #0  0x00007f961aa65376 futex_wait_cancelable (libpthread.so.0 + 0x10376)
                #1  0x00007f96143cee5b _ZN10BufferList13GetNextBufferEPPKc (VDWEBRTC.DLL + 0x21e5b)
                #2  0x00007f96143bdfae _ZN20VdWebrtcIncomingData9GetPacketEPPKc (VDWEBRTC.DLL + 0x10fae)
                #3  0x00007f96143c300f _ZN21VdWebrtcDriverManager8VCThread7ExecuteEv (VDWEBRTC.DLL + 0x1600f)
                #4  0x00007f96143c857f _ZN6Thread10ThreadProcEPv (VDWEBRTC.DLL + 0x1b57f)
                #5  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #6  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2366:
                #0  0x00007f961aa65376 futex_wait_cancelable (libpthread.so.0 + 0x10376)
                #1  0x00007f96151fe91b _ZN10BufferList13GetNextBufferEPPKc (VDPORTFORWARD.DLL + 0x1691b)
                #2  0x00007f9615203f75 _ZN20VdPortForwardManager8VCThread7ExecuteEv (VDPORTFORWARD.DLL + 0x1bf75)
                #3  0x00007f9615200cb4 _ZN6Thread10ThreadProcEPv (VDPORTFORWARD.DLL + 0x18cb4)
                #4  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #5  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2372:
                #0  0x00007f961aa657b1 futex_abstimed_wait_cancelable (libpthread.so.0 + 0x107b1)
                #1  0x00007f961745b4c2 _ZN10CUDTUnited14garbageCollectEPv (libproxy.so + 0x10c4c2)
                #2  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #3  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2384:
                #0  0x00007f961a5f5aff __GI___poll (libc.so.6 + 0x115aff)
                #1  0x00007f9616daf1d6 n/a (libpulse.so.0 + 0x351d6)
                #2  0x00007f9616da0841 pa_mainloop_poll (libpulse.so.0 + 0x26841)
                #3  0x00007f9616da0ec3 pa_mainloop_iterate (libpulse.so.0 + 0x26ec3)
                #4  0x00007f9616da0f70 pa_mainloop_run (libpulse.so.0 + 0x26f70)
                #5  0x00007f9616daf11d n/a (libpulse.so.0 + 0x3511d)
                #6  0x00007f9616d4b72c n/a (libpulsecommon-13.99.so + 0x5372c)
                #7  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #8  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2379:
                #0  0x00007f961aa65376 futex_wait_cancelable (libpthread.so.0 + 0x10376)
                #1  0x0000555fb02d4d1d n/a (wfica + 0x467d1d)
                #2  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #3  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2354:
                #0  0x00007f961a5f5aff __GI___poll (libc.so.6 + 0x115aff)
                #1  0x00007f961ac3c36e n/a (libglib-2.0.so.0 + 0x5236e)
                #2  0x00007f961ac3c6f3 g_main_loop_run (libglib-2.0.so.0 + 0x526f3)
                #3  0x00007f961b33d092 gtk_main (libgtk-x11-2.0.so.0 + 0x13b092)
                #4  0x0000555fb037c4fe Thrd_givePrimaryControl (wfica + 0x50f4fe)
                #5  0x0000555fb03ca029 Vp_begin (wfica + 0x55d029)
                #6  0x0000555fb02d78ee OldMain (wfica + 0x46a8ee)
                #7  0x0000555fb03c9bd4 PlatAppMain (wfica + 0x55cbd4)
                #8  0x0000555fb03896f9 AppMain (wfica + 0x51c6f9)
                #9  0x0000555fb03c9b65 main (wfica + 0x55cb65)
                #10 0x00007f961a5070b3 __libc_start_main (libc.so.6 + 0x270b3)
                #11 0x0000555fb0281977 _start (wfica + 0x414977)

                Stack trace of thread 2449:
                #0  0x00007f961a60361d __libc_recvmsg (libc.so.6 + 0x12361d)
                #1  0x00007f9617461208 _ZNK8CChannel7recvpktEP8sockaddrP7CPacket (libproxy.so + 0x112208)
                #2  0x00007f9617461bd5 _ZNK8CChannel8recvfromEP8sockaddrP7CPacket (libproxy.so + 0x112bd5)
                #3  0x00007f961747b562 _ZN9CRcvQueue7_workerEv (libproxy.so + 0x12c562)
                #4  0x00007f961747bb09 _ZN9CRcvQueue6workerEPv (libproxy.so + 0x12cb09)
                #5  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #6  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2385:
                #0  0x00007f961a5f5aff __GI___poll (libc.so.6 + 0x115aff)
                #1  0x00007f9616daf1d6 n/a (libpulse.so.0 + 0x351d6)
                #2  0x00007f9616da0841 pa_mainloop_poll (libpulse.so.0 + 0x26841)
                #3  0x00007f9616da0ec3 pa_mainloop_iterate (libpulse.so.0 + 0x26ec3)
                #4  0x00007f9616da0f70 pa_mainloop_run (libpulse.so.0 + 0x26f70)
                #5  0x00007f9616daf11d n/a (libpulse.so.0 + 0x3511d)
                #6  0x00007f9616d4b72c n/a (libpulsecommon-13.99.so + 0x5372c)
                #7  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #8  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2450:
                #0  0x00007f961a6025ce epoll_wait (libc.so.6 + 0x1225ce)
                #1  0x00007f9617472cf2 _ZN6CEPoll4waitEiPSt3setIiSt4lessIiESaIiEES5_lS5_S5_ (libproxy.so + 0x123cf2)
                #2  0x00007f9617456e73 _ZN4CUDT10epoll_waitEiPSt3setIiSt4lessIiESaIiEES5_lS5_S5_ (libproxy.so + 0x107e73)
                #3  0x00007f9617457f94 _ZN3UDT11epoll_wait2EiPiS0_S0_S0_lS0_S0_S0_S0_ (libproxy.so + 0x108f94)
                #4  0x00007f9617454871 udt_epoll_wait2 (libproxy.so + 0x105871)
                #5  0x00007f9617450e30 ABSTepoll (libproxy.so + 0x101e30)
                #6  0x00007f9617453278 StoreRecvPackets (libproxy.so + 0x104278)
                #7  0x00007f9617452519 n/a (libproxy.so + 0x103519)
                #8  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #9  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2448:
                #0  0x00007f961aa65376 futex_wait_cancelable (libpthread.so.0 + 0x10376)
                #1  0x00007f9617479444 _ZN9CSndQueue7_workerEv (libproxy.so + 0x12a444)
                #2  0x00007f9617479479 _ZN9CSndQueue6workerEPv (libproxy.so + 0x12a479)
                #3  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #4  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2453:
                #0  0x00007f961a5f5aff __GI___poll (libc.so.6 + 0x115aff)
                #1  0x00007f9616daf1d6 n/a (libpulse.so.0 + 0x351d6)
                #2  0x00007f9616da0841 pa_mainloop_poll (libpulse.so.0 + 0x26841)
                #3  0x00007f9616da0ec3 pa_mainloop_iterate (libpulse.so.0 + 0x26ec3)
                #4  0x00007f9616da0f70 pa_mainloop_run (libpulse.so.0 + 0x26f70)
                #5  0x00007f9616daf11d n/a (libpulse.so.0 + 0x3511d)
                #6  0x00007f9616d4b72c n/a (libpulsecommon-13.99.so + 0x5372c)
                #7  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #8  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

                Stack trace of thread 2365:
                #0  0x00007f961a6025ce epoll_wait (libc.so.6 + 0x1225ce)
                #1  0x0000555fb0314746 n/a (wfica + 0x4a7746)
                #2  0x00007f961aa5e609 start_thread (libpthread.so.0 + 0x9609)
                #3  0x00007f961a602293 __clone (libc.so.6 + 0x122293)

 

=========================================================================================
= Pre-requisite check for the Citrix Workspace for Linux =
Warning! hdxcheck.sh script is deprecated. Run the workspacecheck.sh script instead.
===================================================================================================================

-------------------------------
-- Client Information...      -
-------------------------------
Client version:
22.7.0.20
Install location:
/opt/Citrix/ICAClient

-------------------------------
-- Checking Kernel Version... -
-------------------------------
Success, a compatible kernel version(5.4.0) has been found.

--------------------------------------------
-- Checking gtk dependencies..   -
--------------------------------------------

Success! - libcanberra-gtk3-module is installed.
Warning! - libcanberra-gtk-module or libcanberra-gtk2 missing, session will launch with error and some functionality may be affected.
Success! - libgtk-x11-2.0 is installed.

--------------------------------------------
-- Checking Audio support dependencies..   -
--------------------------------------------

------------------------------------------------------------------
-- Checking that ALSA Support is installed...
------------------------------------------------------------------
Success! - ALSA is installed!

------------------------------------------------------------------
-- Checking Pulse audio Installed --
------------------------------------------------------------------
Success! - Pulseaudio Installed

The installed pulseaudio version in the system is:
pulseaudio 13.99.1
-----------------------------------------------------
-- Checking for SPEEX,VORBIS and OPUS Audio Support...
-----------------------------------------------------
Success! All SPEEX,VORBIS and OPUS dependencies found!

-----------------------------------------------------
-- Checking for VDCAM,ALSA and PULSEAUDIO Audio Support...
-----------------------------------------------------
Success! All VDCAM,ALSA and PULSEAUDIO dependencies found!

--------------------------------------------
-- Checking HDX MediaStream dependencies.. -
--------------------------------------------

/opt/Citrix/ICAClient/util/gst_play0.10: error while loading shared libraries: libgstinterfaces-0.10.so.0: cannot open shared object file: No such file or directory
The minimum required version of GStreamer is 0.10.25
You are using version  of GStreamer
Warning! - A compatible version of GStreamer could not be located!

The minimum required version of GStreamer 1.0 is 1.2.4
You are using version 1.16.2 of GStreamer 1.0
Success! - A compatible version of GStreamer 1.0 is installed!

Your version of libcurl is: 7.68.0
Sucesss! Correct libCurl version found

------------------------------------------------------------------
-- Checking GStreamer webcam Support ...
------------------------------------------------------------------
Warning! - some dependencies required for webcam support are missing.
        libgstinterfaces-0.10.so.0 => not found
        libgstapp-0.10.so.0 => not found
        libgstbase-0.10.so.0 => not found
        libgstreamer-0.10.so.0 => not found
        libgstreamer-0.10.so.0 => not found
        libgstapp-0.10.so.0 => not found
        libgstpbutils-0.10.so.0 => not found

------------------------------------------------------------------
-- Checking GStreamer 1.0 webcam Support ...
------------------------------------------------------------------
Success! - Gstreamer 1.0 webcam dependencies installed!

--------------------------------------
-- Checking for printing support ... -
--------------------------------------
Success! cups-bsd found
Success! - Printing system found

The following printers are installed in your system:
lpstat: No destinations added.

-----------------------------------
-- Checking Display Server Support ... -
-----------------------------------
Warning! - Your display server is not supported. Your Desktop and App sessions will not work as expected!

---------------------------------
-- Checking Webkit Support ... --
--------------------------------
Success! - libwebkit2gtk-4.0.so.37 is installed. Selfservice support is present. Recommended version for libwebkit2gtk is (>=2.16.6)

-------------------------------------------------------
-- Checking Microsoft Teams Optimisation Support ... --
-------------------------------------------------------
Warning! - libc++(>=9.0) is not installed Optimisation for Microsoft Teams  will not be supported
Success! libunwind is installed. Please ensure libunwind(>=12.0) for proper functioning of Optimisation for Microsoft Teams

-----------------------------------
-- Checking if libpng is present ... -
-----------------------------------
Success! - libpng is present.,

-----------------------------------
-- Checking SaaS App Support ... -
-----------------------------------
Warning! libgtkglext1 not present, No SaaS App Support
Success! All SaaS App Support dependencies found!

-----------------------------------
-- Checking Smartcard Support ... -
-----------------------------------
Success! - libpcsclite.so is installed.
libpcsclite was found on your system but it's version could not be determined.
Make sure you have version 1.5.6 or later
Warning! - pcscd is not running, install pcscd OR use VDSCARD.DLL for SmartCard Driver name in /opt/Citrix/ICAClient/config/module.ini
Warning! Some Smartcard dependencies are missing.

------------------------------------
--- Checking other dependencies .. -
------------------------------------

-----------------------------------------------------
-- Checking Client Library dependencies...
-----------------------------------------------------
Success! All client dependencies found!

-----------------------------------------------------
-- Checking OS Library dependencies...
-----------------------------------------------------
Success! All OS dependencies found!

-----------------------------
-- Checking For USB Support..
-----------------------------

--------------------------------------------------------------
-- Checking that a compatible version of udev is installed...
--------------------------------------------------------------
A compatible version of udev is installed!

---------------------------------------------------------------
-- Checking that a compatible version of glibc is installed...
---------------------------------------------------------------
The minimum required version is 2.7
You are using version 2.31 of glibc
A compatible version of glibc is installed!

----------------------------------------------------------------
-- Checking that a compatible version of libcap is installed...
----------------------------------------------------------------
A compatible version of libcap is installed!
Success! All USB dependencies found!

-----------------------------------
- Checking X-window dependencies  -
-----------------------------------
-----------------------------------------------------------------
-- Checking that your system supports the minimum color depth...
-----------------------------------------------------------------
xdpyinfo:  unable to open display "".
The minimum required color depth is 8 bit
Your system supports up to 0 bit
Error! - A compatible color depth is NOT available!

------------------------------------------------------------
-- Checking that your XServer supports Seamless Windows...
------------------------------------------------------------
xprop:  unable to open display ''
Warning! - Seamless windows are NOT supported!
-------------------------------------------------------
-- Checking that your XServer supports Multi-Monitor...
-------------------------------------------------------
Warning! - Multimonitor is not supported!


-----------------------------------
- Checking Instrumentation support  -
-----------------------------------
----------------------------------------------------------------
-- Checking that a compatible version of libjson is installed on your system...
----------------------------------------------------------------
A compatible version of libjson-c is installed! CAS and CEIP will be supported

Success! Instrumentation support will be provided!

===================================================================
= Pre-requisite check for the Citrix Workspace for Linux Completed =
===================================================================
Logfile: /tmp/logfile.txt
---------------------------------
-- Checking for AML Support ... --
--------------------------------
Success! - libsecret-1.so.0 is installed. AML support is present.

---------------------------------
-- Checking for Service Continuity Support ... --
--------------------------------
Success! - libsecret-1.so is installed.
Success! - libuuid.so is installed.
Success! - A compatible version of Gnome-keyring is installed!
Success! - A compatible version of libwebkit2gtk is installed!
Logfile: /tmp/logfile.txt

 

Link to comment

0 answers to this question

Recommended Posts

There have been no answers to this question yet

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...